Bug 988361 - No order of jobs via start time under /api/jobs [NEEDINFO]
No order of jobs via start time under /api/jobs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Linux
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Eli Mesika
Tareq Alayan
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 07:58 EDT by Artyom
Modified: 2016-02-10 14:03 EST (History)
8 users (show)

See Also:
Fixed In Version: is15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bazulay: needinfo? (mpastern)


Attachments (Terms of Use)
Rest_Screenshot (211.31 KB, image/png)
2013-07-25 07:58 EDT, Artyom
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18643 None None None Never

  None (edit)
Description Artyom 2013-07-25 07:58:55 EDT
Created attachment 778240 [details]
Rest_Screenshot

Description of problem:
In GUI all task are ordered by start time, but in REST it not, really I don't see any order in REST.


Version-Release number of selected component (if applicable):
is6

How reproducible:
Not close, how to reproduce exactly

Steps to Reproduce:
1. Do some number of randoms tasks via GUI
2. See that under GUI on task tab, all tasks are ordered by start time
3. 

Actual results:
Under rest <YOUR_ENGINE>/api/jobs jobs not ordered by start time

Expected results:
jobs ordered by start time

Additional info:
See screenshot of REST for example
Comment 1 Michael Pasternak 2013-07-25 08:03:36 EDT
(In reply to Artyom from comment #0)
> Created attachment 778240 [details]
> Rest_Screenshot
> 
> Description of problem:
> In GUI all task are ordered by start time, but in REST it not, really I
> don't see any order in REST.
> 

i'm not sure this is a bug, GUI has own capabilities, such as sorting etc.,
api should not be exposed to UI features (unless it's a part of the query,
but afaik jobs does not support $search$ query)
Comment 3 Itamar Heim 2013-08-22 05:33:21 EDT
probably worth clearing if just adding a default sort by to a query somewhere
Comment 4 Eli Mesika 2013-08-26 05:41:30 EDT
(In reply to Itamar Heim from comment #3)
> probably worth clearing if just adding a default sort by to a query somewhere

Yes
1) Will add a default sort for GetAllJobs SP by start_time DESC
2) will add index on start_time
Comment 6 Eli Mesika 2013-09-11 05:58:39 EDT
fixed in commit: 00be54c
Comment 7 Tareq Alayan 2013-10-17 07:04:16 EDT
Verified.
The response contains the jobs in descending order.

tested on: 
rhevm-3.3.0-0.25.beta1.el6ev.noarch
Comment 8 Itamar Heim 2014-01-21 17:29:36 EST
Closing - RHEV 3.3 Released
Comment 9 Itamar Heim 2014-01-21 17:29:38 EST
Closing - RHEV 3.3 Released
Comment 10 Itamar Heim 2014-01-21 17:32:32 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.